<div class="container" (contextmenu)="contextMenuDisableX()" #refcontainer>
    <div class="container__title" (mousedown)="draggingManager.startDrag($event, refcontainer)">
        <span>
            <div class="title__img" [ngStyle]="{background:getTitleSprite(game?.player?.openedContainer)}"></div>
            {{getTitle()}}
        </span>
    </div>
    <div class="skill-bar">
        <div style="margin-top:3px;text-align: center">
            <div *ngFor="let item of getItemsLoot(); let i = index"
                (click)="selectItem(item, i)" (contextmenu)="useItem(item)"  class="slot" [ngStyle]="{cursor:'pointer'}">
                <div class="slot__img" [ngStyle]="{background:getItemSprite(item)}">
                    <span *ngIf="item.count != null" class="slot__count">{{item.count}}</span>
                </div>
            </div>
        </div>
        <div *ngIf="!game?.player?.openedContainer?.content || game?.player?.openedContainer?.content?.length == 0" style="padding:10px;text-align: center">
            Empty
        </div>
        <div style="padding-top:25px;text-align: center">
            <button *ngIf="game?.player?.openedContainer?.content?.length > 0"  class="btn-respawn" (click)="takeAll()" (contextmenu)="takeAll()">Take All</button>
            <button class="btn-respawn" (click)="close()" (contextmenu)="close()">Close</button>
        </div>
        <!-- <span *ngIf="getDecayID()" style="font-size: 11px;color:#5c5c5c;padding-left:4px">{{getDecayID()}}</span> -->
    </div>
</div>